## org.eclipse.uml2.uml
Enum MessageSort

    java.lang.Object
      java.lang.Enum<MessageSort>
          org.eclipse.uml2.uml.MessageSort

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MessageSort>, org.eclipse.emf.common.util.Enumerator

    public enum MessageSort

extends java.lang.Enum<MessageSort>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Message Sort', and utility methods for working with them. This is an enumerated type that identifies the type of communication action that was used to generate the message.

See Also:
  `UMLPackage.getMessageSort()`

Enum Constant Summary
`ASYNCH_CALL_LITERAL` The 'Asynch Call' literal object
`ASYNCH_SIGNAL_LITERAL` The 'Asynch Signal' literal object
`CREATE_MESSAGE_LITERAL` The 'Create Message' literal object
`DELETE_MESSAGE_LITERAL` The 'Delete Message' literal object
`REPLY_LITERAL` The 'Reply' literal object
`SYNCH_CALL_LITERAL` The 'Synch Call' literal object

Field Summary
`static int` `ASYNCH_CALL` The 'Asynch Call' literal value
`static int` `ASYNCH_SIGNAL` The 'Asynch Signal' literal value
`static int` `CREATE_MESSAGE` The 'Create Message' literal value
`static int` `DELETE_MESSAGE` The 'Delete Message' literal value
`static int` `REPLY` The 'Reply' literal value
`static int` `SYNCH_CALL` The 'Synch Call' literal value
`static java.util.List<MessageSort>` `VALUES` A public read-only list of all the 'Message Sort' enumerators

Method Summary
`static MessageSort` `get(int value)` Returns the 'Message Sort' literal with the specified integer value
`static MessageSort` `get(java.lang.String literal)` Returns the 'Message Sort' literal with the specified literal value
`static MessageSort` `getByName(java.lang.String name)` Returns the 'Message Sort' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static MessageSort` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MessageSort[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SYNCH_CALL_LITERAL

    public static final MessageSort SYNCH_CALL_LITERAL

  The 'Synch Call' literal object.

  See Also:
    `SYNCH_CALL`

### ASYNCH_CALL_LITERAL

    public static final MessageSort ASYNCH_CALL_LITERAL

  The 'Asynch Call' literal object.

  See Also:
    `ASYNCH_CALL`

### ASYNCH_SIGNAL_LITERAL

    public static final MessageSort ASYNCH_SIGNAL_LITERAL

  The 'Asynch Signal' literal object.

  See Also:
    `ASYNCH_SIGNAL`

### CREATE_MESSAGE_LITERAL

    public static final MessageSort CREATE_MESSAGE_LITERAL

  The 'Create Message' literal object.

  See Also:
    `CREATE_MESSAGE`

### DELETE_MESSAGE_LITERAL

    public static final MessageSort DELETE_MESSAGE_LITERAL

  The 'Delete Message' literal object.

  See Also:
    `DELETE_MESSAGE`

### REPLY_LITERAL

    public static final MessageSort REPLY_LITERAL

  The 'Reply' literal object.

  See Also:
    `REPLY`

Field Detail

### SYNCH_CALL

    public static final int SYNCH_CALL

  The 'Synch Call' literal value. The message was generated by a synchronous call to an operation.

  See Also:
    `SYNCH_CALL_LITERAL`, Constant Field Values

### ASYNCH_CALL

    public static final int ASYNCH_CALL

  The 'Asynch Call' literal value. The message was generated by an asynchronous call to an operation; i.e., a CallAction with isSynchronous = false.

  See Also:
    `ASYNCH_CALL_LITERAL`, Constant Field Values

### ASYNCH_SIGNAL

    public static final int ASYNCH_SIGNAL

  The 'Asynch Signal' literal value. The message was generated by an asynchronous send action.

  See Also:
    `ASYNCH_SIGNAL_LITERAL`, Constant Field Values

### CREATE_MESSAGE

    public static final int CREATE_MESSAGE

  The 'Create Message' literal value. The message designating the creation of another lifeline object.

  See Also:
    `CREATE_MESSAGE_LITERAL`, Constant Field Values

### DELETE_MESSAGE

    public static final int DELETE_MESSAGE

  The 'Delete Message' literal value. The message designating the termination of another lifeline.

  See Also:
    `DELETE_MESSAGE_LITERAL`, Constant Field Values

### REPLY

    public static final int REPLY

  The 'Reply' literal value. The message is a reply message to an operation call.

  See Also:
    `REPLY_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<MessageSort> VALUES

  A public read-only list of all the 'Message Sort' enumerators.

Method Detail

### values

    public static final MessageSort[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MessageSort c : MessageSort.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MessageSort valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static MessageSort get(java.lang.String literal)

  Returns the 'Message Sort' literal with the specified literal value.

### getByName

    public static MessageSort getByName(java.lang.String name)

  Returns the 'Message Sort' literal with the specified name.

### get

    public static MessageSort get(int value)

  Returns the 'Message Sort' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<MessageSort>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.